Como usar o carbono 2 Em Laravel 5.5

votos
2

Eu estou usando Laravel 5.5 e tem Carbono versão 1.27 que não tem função como

  1. roundHour ()
  2. roundMinute ()

    que são adicionados em carbono versão 2 .

Eu estava tentando atualizar a versão de carbono através compositor, mas sem sucesso

Como posso usar a nova versão do Carbono na minha Laravel 5.5

Publicado 08/11/2018 em 06:42
fonte usuário
Em outras línguas...                            


1 respostas

votos
6

Actualização de carbono é devido em Laravel 5,8 até então a solução alternativa é utilizar laravel-carbono-2 adaptador para Laravel.

Basicamente, adicione as seguintes dependências ao seu composer.json :

{
  ...
  "require": {
    ...
    "kylekatarnls/laravel-carbon-2": "^1.0.0",
    "nesbot/carbon": "2.0.0-beta.2 as 1.25.0"
  }
  ...
}

Então corra:

composer update
Respondeu 08/11/2018 em 07:15
fonte usuário

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more